bm::block_set_table< T > Struct Template Reference
BIT functions

Structure keeps all-left/right ON bits masks. More...

`#include <bmconst.h>`

## Static Public Attributes

static const unsigned | _left [32]
static const unsigned | _right [32]

## Detailed Description

template<bool T>
struct bm::block_set_table< T >

Structure keeps all-left/right ON bits masks.

Definition at line 363 of file bmconst.h.

## Field Documentation

## _left

template<bool T>

const unsigned bm::block_set_table< T >::_left[32]

static

Definition at line 365 of file bmconst.h.

Referenced by bm::bit_in< TDecoder >::gamma(), and bm::mask_l_u32().

## _right

template<bool T>

const unsigned bm::block_set_table< T >::_right[32]

static

Definition at line 366 of file bmconst.h.

Referenced by bm::mask_r_u32().

The documentation for this struct was generated from the following file:

- bmconst.h